<?php 
define('IN_SMT', true);
define('IN_MYMPS', true);
define('CURSCRIPT','posthistory');

require_once dirname(__FILE__)."/include/global.php";
require_once dirname(__FILE__)."/data/config.php";

ifsiteopen();
require_once MYMPS_DATA."/config.db.php";
require_once MYMPS_INC."/db.class.php";
require_once MYMPS_SMARTY."/include.php";

if(!$tel) write_msg('您要查找的电话不能为空！','olmsg');
$tel_decode = addslashes(base64_decode($tel));

$info = mymps_get_info_list('20',1,'','','','','','',true,$tel_decode);
$numtotal = $db -> getOne("SELECT COUNT(id) FROM `{$db_mymps}information` WHERE tel = '$tel_decode'");
$numtotal = $numtotal < 20 ? $numtotal : 20;

$loc 		= get_location('posthistory','','查看发贴记录');
$page_title = $loc['page_title'];

tpl_assign();
$smarty -> assign('info',$info);
$smarty -> assign('tel',$tel);
$smarty -> assign('numtotal',$numtotal);
$smarty -> display(mymps_tpl('posthistory'));

is_object($db) && $db->Close();
$mymps_global = $db = $smarty = $timestamp = $tel_decode = $tel = $tpl_index = NULL;
?>